IntrospectorTestCase.MethodProvider (Velocity 1.4 API)
Keywords: org.apache.velocity.test.IntrospectorTestCase.MethodProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class IntrospectorTestCase.MethodProvider

    java.lang.Object
      org.apache.velocity.test.IntrospectorTestCase.MethodProvider

Enclosing class:
  IntrospectorTestCase

public static class IntrospectorTestCase.MethodProvider
extends java.lang.Object

Constructor Summary
`IntrospectorTestCase.MethodProvider()`

Method Summary
`java.lang.String` | `booleanMethod(boolean p)`
`java.lang.String` | `byteMethod(byte p)`
`java.lang.String` | `characterMethod(char p)`
`java.lang.String` | `doubleMethod(double p)`
`java.lang.String` | `floatMethod(float p)`
`java.lang.String` | `integerMethod(int p)`
`java.lang.String` | `longMethod(long p)`
`private java.lang.String` | `reallyuntouchable()`
`java.lang.String` | `shortMethod(short p)`
`(package private) java.lang.String` | `untouchable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntrospectorTestCase.MethodProvider

    public IntrospectorTestCase.MethodProvider()

Method Detail

### booleanMethod

    public java.lang.String booleanMethod(boolean p)

### byteMethod

    public java.lang.String byteMethod(byte p)

### characterMethod

    public java.lang.String characterMethod(char p)

### doubleMethod

    public java.lang.String doubleMethod(double p)

### floatMethod

    public java.lang.String floatMethod(float p)

### integerMethod

    public java.lang.String integerMethod(int p)

### longMethod

    public java.lang.String longMethod(long p)

### shortMethod

    public java.lang.String shortMethod(short p)

### untouchable

    java.lang.String untouchable()

### reallyuntouchable

    private java.lang.String reallyuntouchable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.